package Visual_DVM_2021.UI.Main;
import Common.Current;
import TestingSystem.DVM.DVMTasks.DVMRunTask;
public class DVMRunTasksComparisonForm extends TasksComparisonForm<DVMRunTask> {
    public DVMRunTasksComparisonForm(ComparisonForm<DVMRunTask> slave_in) {
        super(DVMRunTask.class, slave_in);
    }
    @Override
    protected Current getCurrentObjectName() {
        return Current.DVMRunTask;
    }
    @Override
    protected String getTextByTab() {
        switch (status) {
            case CompilationOutput:
                return object.getCompilationOutput();
            case CompilationErrors:
                return object.getCompilationErrors();
            case RunOutput:
                return object.getOutput();
            case RunErrors:
                return object.getErrors();
            case Sts:
                return object.getStatistic();
            default:
                return "";
        }
    }
}
